
.product-details {text-align:left;}
.product-details * {text-align:left !important;align-items:flex-start !important;}

.row.cat_prod {margin:0 -8px 0 -8px !important;}
#content {overflow:hidden;}
.product-container .product-layout {margin-bottom:16px;padding:0 8px !important;}
.product-thumb .product-block-inner {}
.variants {margin-right:-2px;}
.product-container .product-block {border:0 !important;}
.product-thumb .caption {padding:12px;}
.variants-bar {display:none;}
.product-thumb .colors {color:#2C333A;font-size:12px;    text-shadow: 0.5px 0 #fff, -0.5px 0 #fff, 0 0.5px #fff, 0 -0.5px #fff, 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;}

.product-thumb {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.variants-bar-wrapper {position:absolute;bottom:135px;}

.variants .owl-nav {
    bottom: 7%;
    z-index:100;
    top: auto;
}

.variants .owl-nav div, .variants .owl-nav i {
    font-size:20px;
}
.variants .owl-nav .owl-prev {left:5px;}
.variants .owl-nav .owl-next {right:5px;}

.owl-dots-window {
    display:inline-block;
    max-width: 100px;
    height:20px;
    margin: 0 auto;
    overflow: hidden; /* Taglia i pallini che escono */
    position: relative;
    bottom:20px;
}

.variants .owl-dots {
    display: flex !important; /* Forza i pallini su una riga */
    transition: transform 0.3s ease;
    width: max-content; /* Si allarga in base al numero di pallini */
    justify-content: flex-start;
    position:relative;
    bottom:auto;
}

.variants .owl-dot {
    background:none;
    border:0;
    margin:0;
    padding:0 3px;
    transition: transform 0.3s ease, opacity 0.3s ease;
}
.variants .owl-dot span {
    width: 8px;
    height: 8px;
    background: #A5A5A5;
    border-radius: 20px;
    border: 1px solid #fff;
}
.variants .owl-dot.active span {
    background: #2C333A;
    border: 1px solid #2C333A;
}

/* Pallino attivo: dimensione piena */
.variants .owl-dot {
    transform: scale(1);
    opacity: 1;
}

/* Pallini a distanza 2 (più piccoli) */
.variants .owl-dot.small {
    transform: scale(0.6);
    opacity: 0.6;
}


@media screen and (max-width: 640px) {
    .variants-bar-wrapper {
        margin-bottom: 20px;
    }
@media screen and (max-width: 640px) {
    .variants .owl-nav {
        width: 100%;
        position: absolute;
        top: 45%;
        height: 0;
    }
}

}



.variants .owl-item {
    overflow:hidden;
}


.product-thumb .image .variants a {
    display: flex;
    align-items:center;
    height:100%;
}
.product-thumb .image .variants {padding-top:0;}
.product-thumb .image img.indossato{max-height:100%;height:100%;object-fit:cover;max-width:100% !important;}



.product-thumb .image {height:500px;border:1px solid #F2F2F2;}



@media screen and (max-width: 1800px) {
    .product-thumb .image {
        height: 450px;
    }
}

@media screen and (max-width: 1600px) {
    .product-thumb .image {
        height: 350px;
    }
}

@media (max-width: 800px) {
    .variants .owl-nav {
        display:none;
    }

}
@media (max-width: 640px) {
    .product-grid .product-thumb .image {
        height: 250px;
    }
    .row.cat_prod {margin:0 -3px 0 -3px !important;}
    .product-container .product-layout {padding:0 3px !important;margin-bottom:6px;}

    .variants .owl-nav .owl-prev {left:0px;}
    .variants .owl-nav .owl-next {right:0px;}

    .product-thumb .caption {padding:8px;}

    .variants .owl-nav {
        display:none;
    }
    .variants-bar-wrapper {bottom:115px;}
    .owl-dots-window {
        bottom:18px;
    }
    .product-thumb .colors {font-size:11px;}
}